/* glue-io.h */

#ifndef __GLUE_IO_H_INCLUDED
#define __GLUE_IO_H_INCLUDED

extern bool
io_read(
	int fd, 
	char *buffer, 
	ssize_t len, 
	volatile bool *terminate
);

extern bool
io_write(
	int fd, 
	const char *buffer, 
	ssize_t len, 
	volatile bool *terminate
);

extern bool
io_readline(
	int fd,
	char *buffer,
	ssize_t len,
	volatile bool *terminate
);



#endif /* __GLUE_IO_H_INCLUDED */
